## EmpathyIrcServer

EmpathyIrcServer

## Synopsis

                        EmpathyIrcServer;
    EmpathyIrcServer *  empathy_irc_server_new              (const gchar *address,
                                                             guint port,
                                                             gboolean ssl);

## Object Hierarchy

      GObject
       +----EmpathyIrcServer

## Properties

      "address"                  gchar*                : Read / Write
      "port"                     guint                 : Read / Write
      "ssl"                      gboolean              : Read / Write

## Signals

      "modified"                                       : Run Last / Has Details

## Description

## Details

### EmpathyIrcServer

    typedef struct _EmpathyIrcServer EmpathyIrcServer;

### empathy_irc_server_new ()

    EmpathyIrcServer *  empathy_irc_server_new              (const gchar *address,
                                                             guint port,
                                                             gboolean ssl);

Creates a new EmpathyIrcServer

`address` : | the address
`port` : | the port
`ssl` : | `TRUE` if the server needs a SSL connection
Returns : | a new EmpathyIrcServer

## Property Details

### The `"address"` property

      "address"                  gchar*                : Read / Write

The address of this server.

Default value: NULL

### The `"port"` property

      "port"                     guint                 : Read / Write

The port to use to connect on this server.

Allowed values: [1,65535]

Default value: 6667

### The `"ssl"` property

      "ssl"                      gboolean              : Read / Write

If this server needs SSL connection.

Default value: FALSE

## Signal Details

### The `"modified"` signal

    void                user_function                      (EmpathyIrcServer *server,
                                                            gpointer          user_data)      : Run Last / Has Details

Emitted when a property of the server is modified.

`server` : | the object that received the signal
`user_data` : | user data set when the signal handler was connected.